> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Доступность товаров

> Отображает список доступных товаров для платформы



## OpenAPI

````yaml GET /treasures/items/{platform}
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /treasures/items/{platform}:
    get:
      description: Отображает список доступных товаров для платформы
      parameters:
        - name: platform
          in: path
          description: Идентификатор платформы
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Список доступных товаров
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TreasureItemsResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TreasureItemsResponse:
      required:
        - code
        - intentId
        - verified
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        treasures:
          description: Список товаров у платформы
          type: array
          items:
            type: object
            properties:
              active:
                description: Флаг доступности товара
                type: boolean
              inputParams:
                description: Список полей для создания намерения
                type: object
              type:
                description: Тип товара
                type: string
              platform:
                description: Платформа, на которой доступен товар
                type: string
              item:
                description: Идентификатор товара
                type: string
              icon:
                description: >-
                  Иконка товара (можно использовать наш CDN —
                  `https://cdn.steamgold.dev/items/{icon}.svg`)
                type: string
              title:
                description: Название товара
                type: string
              symbol:
                description: Символ валюты
                type: string
              currency:
                description: Название внутриигровой валюты
                type: string
              region:
                description: Регион, в котором доступен товар
                type: string
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````